#!/bin/bash

if [ -f /etc/sysconfig/sopnetscripts ];then
    . /etc/sysconfig/sopnetscripts
else
    exit 1
fi

if [ -z "$SSMAILFROM" -o -z "$SSDAILYMAILTO" ];then
    exit 2;
fi

parsefile()
{
    prog=$1
    file=$2
    filter=$3
    output=$4
    if [ -f $file ];then
        $prog $file|/bin/egrep "($filter)"|/bin/grep veriflink >>$output
    fi
}
fechas=''
outfile='/tmp/resumenmaillink.txt'

> $outfile
for i in `seq 1 24`;do
    fechax=`/bin/date --date="$i hour ago" +%b\ %e\ %H`
    fechas="$fechas|$fechax"
done
fechas=${fechas:1}
for i in /var/log/messages.*;do
    parsefile /bin/cat $i "$fechas" $outfile
done
for i in /var/log/messages-*.gz;do
    parsefile /bin/zcat $i "$fechas" $outfile
done
parsefile cat /var/log/messages "$fechas" $outfile
FILESIZE=$(stat -c%s "$outfile")
if [ $FILESIZE -gt 0 ]; then
    MSG="veriflink"
    HOST=`hostname`
    /bin/cat "$outfile"| /bin/mail -s "$HOST: $MSG" "$SSDAILYMAILTO" -- -f "$SSMAILFROM"
fi
/bin/rm -f $outfile
